import { ActionIcon, useComputedColorScheme, useMantineColorScheme } from '@mantine/core'
import { IconMoon, IconSun } from '@tabler/icons-react'

export const ThemeSwitcher = () => {
  const { setColorScheme } = useMantineColorScheme()
  const computedColorScheme = useComputedColorScheme('light')

  const toggleColorScheme = () => {
    setColorScheme(computedColorScheme === 'dark' ? 'light' : 'dark')
  }

  return (
    <ActionIcon onClick={toggleColorScheme} variant="default" aria-label="Toggle theme" p={4}>
      {computedColorScheme === 'dark' ? <IconSun /> : <IconMoon />}
    </ActionIcon>
  )
}
